> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/83..md).

# 83. क्वेरी: प्लेटफ़ॉर्म संदर्भ एकत्र करें

एक बड़ी संख्या (सैकड़ों या हजारों) संसाधित डेटासेट्स (जैसे "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset" आदि) पर हमेशा प्रत्येक डेटासेट की प्रोसेसिंग की स्थिति समझने और प्रोसेसिंग सारांश एकत्र करने की मांग रहती है। ये विवरण प्रदान किए जाते हैं `getPlatformContext` query।&#x20;

सामान्य मामलों में:&#x20;

* प्रोसेसिंग प्रगति को ट्रेस करना
* प्रोसेसिंग सारांश और सांख्यिकी एकत्र करना
* प्रोसेसिंग के दौरान त्रुटियों और चेतावनियों का अवलोकन करना ताकि प्रभावित डेटासेट्स की गहरी जांच की जा सके

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query CollectPlatformContext {
 getPlatformContext(input: {
   userUuids: ["<placeholder_of_user_uuid>"],
   statuses: [Start, Done, Warning, Error, Ignored],
   dateFrom: "2023-05-25T12:49:00.000Z", 
   dateTo: "2023-05-30T06:35:00.000Z", 
 }) {
   events {
     fieldUuid
     subFieldUuid
     subFieldType
     operationId
     status 
     executionDate
     messageKey
     optional
   }
 }
}
```

{% endcode %}

समर्थित इनपुट फ़िल्टर्स:

* `dateFrom` ISO 8601 प्रारूप में datetime के रूप में (उदाहरण: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8601 प्रारूप में datetime के रूप में (उदाहरण: `"2023-05-30T06:35:00.000Z"`)
* `operationIds` ऑपरेशन पहचानकर्ताओं की सरणी के रूप में (`Strings`)
* `statuses` इसमें मौजूद मानों की सरणी के रूप में `ContextEventStatus` सभी प्रोसेसिंग स्थितियों सहित एक enum है, मध्यवर्ती स्थितियों समेत; प्रमुख कुंजियों का उपयोग करने की सलाह दी जाती है `[Start, Done, Warning, Error, Ignored]`
* `subFieldTypes` उनके मानों की एक सरणी के रूप में `TreeNodeEntity` GeoPard की सभी संस्थाओं के साथ एक enum
* `subFieldUuids` चयनित संस्थाओं से लिंक किए गए UUIDs के साथ एक सरणी के रूप में `subFieldTypes`&#x20;
* `userUuids` "User" UUIDs की एक सरणी जिसे खोजा जाना है

{% hint style="info" %}
निम्नलिखित फ़िल्टरों में से कम से कम एक को इनिशियलाइज़ करना आवश्यक है: `userUuids`, `fieldUuids`, `subFieldUuids`, या `operationIds`.
{% endhint %}

{% hint style="info" %}
यदि `dateFrom` और `dateTo` निर्देशित नहीं किए गए हैं, तो डिफ़ॉल्ट क्वेरी अवधि 12 घंटे सेट की जाती है। डेटा पुनर्प्राप्ति के लिए अधिकतम अनुशंसित समय अंतराल 24 घंटे है।
{% endhint %}

{% hint style="info" %}
प्रदत्त डेटा की अधिकतम सीमा 10,000 पंक्तियों तक है।
{% endhint %}

{% hint style="info" %}
enum के सभी उपलब्ध नवीनतम मानों (जैसे: `TreeNodeEntity`,  `ContextEventStatus, ContextMessageKey`), देखने के लिए, यह अनुशंसित है कि [Altair](/geopard-tutorials/in/api/geopard-api-1.md).
{% endhint %}

आउटपुट ऑब्जेक्ट में निम्नलिखित गुण शामिल हैं:

* `fieldUuid` संबद्ध फील्ड का UUID दर्शाता है
* `subFieldUuid` लिंक किये गए संसाधित डेटासेट का UUID दर्शाता है (जैसे "SatelliteImage", "AsAppliedDataset", "YieldDataset", "SoilDataset" आदि)
* `subFieldType` एक enum के रूप में जो `TreeNodeEntity`
* `operationId` एक स्ट्रिंग के रूप में जो ऑपरेशन का पहचानकर्ता रखती है, यह सभी संबंधित प्रोसेसिंग चेन में सुसंगत रहता है; सभी प्रोसेसिंग चरणों को ट्रेस करने के लिए इस पहचानकर्ता के अनुसार समूहबद्ध करना सलाह योग्य है
* `status` एक enum के रूप में जो `ContextEventStatus`
* `executionDate` ISO 8601 प्रारूप में एक स्ट्रिंग के रूप में जो निष्पादन के क्षण को दर्शाती है
* `messageKey` एक enum के रूप में जो `ContextMessageKey` जो निष्पादन के परिणाम का वर्णन करता है
* `optional` एक स्ट्रिंग के रूप में जो तकनीकी विवरण प्रदान करती है (यदि लागू हो), इसका मुख्य उपयोग डिबगिंग और बग रिपोर्टिंग के लिए होता है


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/83..md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
